### Hierarchy

- ThemeManagerService

## Index

### Properties

- $rootScope_
- gmfThemes_
- gmfTreeManager_
- modeFlush
- ngeoStateManager_
- themeName_

### Methods

- addTheme
- getThemeName
- isLoading
- removeAll
- setThemeName
- updateCurrentTheme

## Properties

### $rootScope_

$rootScope_: IScope

- Defined in src/theme/Manager.js:73

### gmfThemes_

gmfThemes_: any

- Defined in src/theme/Manager.js:78

### gmfTreeManager_

gmfTreeManager_: any

- Defined in src/theme/Manager.js:88

### modeFlush

modeFlush: any

- Defined in src/theme/Manager.js:83

### ngeoStateManager_

ngeoStateManager_: StatemanagerService

- Defined in src/theme/Manager.js:93

### themeName_

themeName_: string

- Defined in src/theme/Manager.js:98

## Methods

### addTheme

- addTheme(theme: any, opt_silent: boolean): void

- - Defined in src/theme/Manager.js:109

  Set the current theme name (mode 'flush' only) and add its children. Add only groups that are not already in the tree.

  #### Parameters

  - ##### theme: any

    A theme object.

  - ##### opt_silent: boolean

  #### Returns void

### getThemeName

- getThemeName(): string

- - Defined in src/theme/Manager.js:124

  #### Returns string

  The theme name. Will be empty on 'not flush' mode.

### isLoading

- isLoading(): boolean

- - Defined in src/theme/Manager.js:131

  #### Returns boolean

  true if the theme is loading.

### removeAll

- removeAll(): void

- - Defined in src/theme/Manager.js:176

  Remove all groups.

  #### Returns void

### setThemeName

- setThemeName(name: string, opt_silent: boolean): void

- - Defined in src/theme/Manager.js:166

  #### Parameters

  - ##### name: string

    The new theme name.

  - ##### opt_silent: boolean

  #### Returns void

### updateCurrentTheme

- updateCurrentTheme(themeName: string, fallbackThemeName: string, opt_silent: boolean): void

- - Defined in src/theme/Manager.js:141
  export

  #### Parameters

  - ##### themeName: string

    wanted theme name.

  - ##### fallbackThemeName: string

    fallback theme name.

  - ##### opt_silent: boolean

  #### Returns void

Generated using TypeDoc